Subscription Schedules
Get a Subscription Schedule
Recupera uma subscription schedule.
curl "https://api.chargefy.io/v1/subscription-schedules/subsched_123" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "subsched_123",
"object": "subscription_schedule",
"canceled_at": null,
"completed_at": null,
"created_at": "2026-05-20T12:00:00Z",
"current_phase": null,
"current_phase_index": null,
"customer": "cus_123",
"end_behavior": "release",
"livemode": true,
"metadata": {},
"phases": {
"object": "list",
"data": [],
"has_more": false,
"url": "/v1/subscription-schedules/subsched_123/phases"
},
"released_at": null,
"released_subscription": null,
"start_date": "2026-05-20T12:00:00Z",
"status": "not_started",
"subscription": "sub_123",
"updated_at": null
}
ID da schedule (
subsched_*).curl "https://api.chargefy.io/v1/subscription-schedules/subsched_123" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "subsched_123",
"object": "subscription_schedule",
"canceled_at": null,
"completed_at": null,
"created_at": "2026-05-20T12:00:00Z",
"current_phase": null,
"current_phase_index": null,
"customer": "cus_123",
"end_behavior": "release",
"livemode": true,
"metadata": {},
"phases": {
"object": "list",
"data": [],
"has_more": false,
"url": "/v1/subscription-schedules/subsched_123/phases"
},
"released_at": null,
"released_subscription": null,
"start_date": "2026-05-20T12:00:00Z",
"status": "not_started",
"subscription": "sub_123",
"updated_at": null
}
⌘I
curl "https://api.chargefy.io/v1/subscription-schedules/subsched_123" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "subsched_123",
"object": "subscription_schedule",
"canceled_at": null,
"completed_at": null,
"created_at": "2026-05-20T12:00:00Z",
"current_phase": null,
"current_phase_index": null,
"customer": "cus_123",
"end_behavior": "release",
"livemode": true,
"metadata": {},
"phases": {
"object": "list",
"data": [],
"has_more": false,
"url": "/v1/subscription-schedules/subsched_123/phases"
},
"released_at": null,
"released_subscription": null,
"start_date": "2026-05-20T12:00:00Z",
"status": "not_started",
"subscription": "sub_123",
"updated_at": null
}

